Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Interface AdConstants

All Known Implementing Classes:
  AdClickThruServlet, AdHelper, AdTracking

public interface AdConstants

Define the constants used by the Ad package

Field Summary
`static String` | `AD_EVENT_TRACKING` The default classname that does the event tracking for Ads
`static String` | `AD_RENDERING` The default class name that does the rendering of Ad content
`static String` | `AD_SERVICE_NAME` Deprecated. No longer needed.
`static String` | `ADBUCKET_SERVICE_NAME` Deprecated. No longer needed.
`static String` | `CONFLICT_RESOLVER_NAME` Deprecated. No longer needed.
`static String` | `EVENT_SERVICE_NAME` Deprecated. No longer needed.
`static String` | `GLOBAL_ADBUCKET_NAME` A unique name that identifies the global ads in the database tables

Field Detail

### AD_EVENT_TRACKING

    public static final String AD_EVENT_TRACKING

  The default classname that does the event tracking for Ads

  See Also:
    Constant Field Values

### AD_RENDERING

    public static final String AD_RENDERING

  The default class name that does the rendering of Ad content

  See Also:
    Constant Field Values

### AD_SERVICE_NAME

    public static final String AD_SERVICE_NAME

  Deprecated. No longer needed.

  The JNDI name of the AdService

  See Also:
    Constant Field Values

### ADBUCKET_SERVICE_NAME

    public static final String ADBUCKET_SERVICE_NAME

  Deprecated. No longer needed.

  The JNDI name of the AdBucketService

  See Also:
    Constant Field Values

### CONFLICT_RESOLVER_NAME

    public static final String CONFLICT_RESOLVER_NAME

  Deprecated. No longer needed.

  The JNDI name of the AdConflictResolver.

  See Also:
    Constant Field Values

### EVENT_SERVICE_NAME

    public static final String EVENT_SERVICE_NAME

  Deprecated. No longer needed.

  The JNDI name for the EventService

  See Also:
    Constant Field Values

### GLOBAL_ADBUCKET_NAME

    public static final String GLOBAL_ADBUCKET_NAME

  A unique name that identifies the global ads in the database tables

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved